Get a Shopify store (v1)
Returns the store behind domain: name, description, currency, location, product and collection counts and the countries it ships to. A domain that is not a Shopify store returns data: null.
1 credit / requestBilled only on success
Authorization
ApiKeyAuth x-api-key<token>
In: header
Query Parameters
domain*string
The store's hostname, such as allbirds.com or gymshark.myshopify.com. A full URL is accepted.
curl -X GET "https://example.com/v1/shopify/store?domain=allbirds.com" \ -H "x-api-key: YOUR_API_KEY"{ "data": { "domain": "string", "name": "string", "description": "string", "url": "string", "myshopify_domain": "string", "shop_id": 0, "currency": "string", "city": "string", "province": "string", "country": "string", "products_count": 0, "collections_count": 0, "ships_to_countries": [ "string" ], "shop_pay_installments": true }, "details": { "reason": "string", "message": "string" }}